package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;
import java.util.List;

public class PiCiBean {
    /**
     * code : 200
     * msg : 操作成功
     * data : [{"id":1689143834817,"productId":1689143834815,"productName":"测试产品2","productCode":"string","productBatchCode":"测试P-1","productBatchType":"统","productBatchTagNum":0,"grade":"优","placeOfProduction":"北京"},{"id":1689143834819,"productId":1689143834815,"productName":"测试产品3","productCode":"string3","productBatchCode":"测试P-1","productBatchType":"统","productBatchTagNum":0,"grade":"优","placeOfProduction":"北京"}]
     */

    private int code;
    private String msg;
    private List<DataBean> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean implements Serializable {
        /**
         * id : 1689143834817
         * productId : 1689143834815
         * productName : 测试产品2
         * productCode : string
         * productBatchCode : 测试P-1
         * productBatchType : 统
         * productBatchTagNum : 0
         * grade : 优
         * placeOfProduction : 北京
         */

        private long id;
        private long productId;
        private String productName;
        private String productCode;
        private String productBatchCode;
        private String productBatchType;
        private int productBatchTagNum;
        private String grade;
        private String placeOfProduction;

        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public long getProductId() {
            return productId;
        }

        public void setProductId(long productId) {
            this.productId = productId;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getProductCode() {
            return productCode;
        }

        public void setProductCode(String productCode) {
            this.productCode = productCode;
        }

        public String getProductBatchCode() {
            return productBatchCode;
        }

        public void setProductBatchCode(String productBatchCode) {
            this.productBatchCode = productBatchCode;
        }

        public String getProductBatchType() {
            return productBatchType;
        }

        public void setProductBatchType(String productBatchType) {
            this.productBatchType = productBatchType;
        }

        public int getProductBatchTagNum() {
            return productBatchTagNum;
        }

        public void setProductBatchTagNum(int productBatchTagNum) {
            this.productBatchTagNum = productBatchTagNum;
        }

        public String getGrade() {
            return grade;
        }

        public void setGrade(String grade) {
            this.grade = grade;
        }

        public String getPlaceOfProduction() {
            return placeOfProduction;
        }

        public void setPlaceOfProduction(String placeOfProduction) {
            this.placeOfProduction = placeOfProduction;
        }
    }
}
